<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目单查询</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<form class="form py-2" action="">
    <label for="keyword">查找节目单关键词，空格隔开查找多个关键词</label>
    <input class="border border-black" type="text" name="keyword" id="keyword" value="{{$keyword}}">
    <input class="border border-black" type="submit">
</form>
@foreach($comments as $comment)
    <div class="max-w xl:max-w-5xl lg:max-w-2xl md:max-w-lg mx-2 md:mx-auto px-2 md:px-4 py-4 bg-white border border-gray-200 rounded-lg shadow-md my-4 dark:bg-gray-800">
        <div>
            <a href="/video/{{$comment->video->id}}" class="text-2xl font-bold text-gray-700 dark:text-white hover:text-gray-600 dark:hover:text-gray-200 hover:underline" tabindex="0" role="link">{{$comment->video->title}}</a>
            <div class="px-2 md:px-4 lg:px-8 mt-2 flex items-center justify-between">
                <span class="text-sm font-light text-gray-600 dark:text-gray-400 hidden md:block">稿件时间：{{$comment->video->created_at}}</span>
                <span class="text-sm font-light text-gray-600 dark:text-gray-400">评论时间：{{$comment->created_at}}</span>
            </div>
            <p class="px-2 md:px-4 lg:px-8 mt-2 text-gray-600 dark:text-gray-300 whitespace-pre-wrap">{{$comment->content}}</p>
        </div>


        <div class="flex items-center justify-between mt-4">
            <a href="https://www.bilibili.com/video/{{$comment->video->bvid}}" target="_blank" class="inline-flex text-blue-600 dark:text-blue-400 hover:underline" tabindex="0" role="link">
                去B站浏览
                <svg class="w-5 h-5 ml-2" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M11 3a1 1 0 100 2h2.586l-6.293 6.293a1 1 0 101.414 1.414L15 6.414V9a1 1 0 102 0V4a1 1 0 00-1-1h-5z"></path><path d="M5 5a2 2 0 00-2 2v8a2 2 0 002 2h8a2 2 0 002-2v-3a1 1 0 10-2 0v3H5V7h3a1 1 0 000-2H5z"></path></svg>
            </a>

            <div class="flex items-center">
                <span class="text-gray-500">课代表：</span>
                <a href="https://space.bilibili.com/{{$comment->mid}}" target="_blank" class="font-bold text-gray-700 cursor-pointer dark:text-gray-200 hover:underline" tabindex="0" role="link">{{$comment->uname}}</a>
            </div>
        </div>
    </div>
@endforeach
{{$comments->links()}}
@include("common.footer")
</body>
</html>
